# -*- coding: utf-8 -*-

"""Schema for SHS work and performance
"""

PFM_ID = "performanceId"
PFM_TYPE = "performanceType"
PFM_ACAD_TYPE = "performanceAcademicType"

WORK_ID = "workId"
WORK_ID_DUP = "duplicatedWorkIdList"
WORK_PFM_LIST = "performanceList"
YTB_ID = "YoutubeId"

performances = {

    'item_title': 'performance',

    'additional_lookup': {
        'url': 'regex("(performance|case)-[0-9]+")',
        'field': PFM_ID,
    },

    'schema': {
        PFM_ID: {
            'type': 'string',
            'required': True,
            'unique': True,
        },
        PFM_TYPE: {
            'type': 'string',
            'required': True,
            'allowed': ['performance', 'case'],
        },
        WORK_ID: {
            'type': 'integer',
        },
        # if the performance is in train/test set in SHS dataset
        PFM_ACAD_TYPE: {
            'type': 'string',
            'allowed': ['train', 'test', 'extra'],
        },
        YTB_ID: {
            'type': 'string',
        },
    }
}

works = {

    'item_title': 'work',

    'additional_lookup': {
        'url': 'regex("[0-9]+")',
        'field': WORK_ID,
    },

    'schema': {
        WORK_ID: {
            'type': 'integer',
            'required': True,
            'unique': True,
        },
        WORK_ID_DUP: {
            'type': 'list',
        },
        WORK_PFM_LIST: {
            'type': 'list',
            'required': True,
        }
    }
}
