import os
import json
import logging.config

LOG_LEVEL = logging.DEBUG

LOG_CONFIG = {
    "version": 1,
    "disable_existing_loggers": False,
    "formatters": {
        "simple": {
            "format": "%(asctime)s(%(name)s)[%(levelname)s]: %(message)s"
        }
    },

    "handlers": {
        "console": {
            "class": "logging.StreamHandler",
            "level": "DEBUG",
            "formatter": "simple",
            "stream": "ext://sys.stdout",
        },

        # "info_file_handler": {
        #     "class": "logging.handlers.RotatingFileHandler",
        #     "level": "DEBUG",
        #     "formatter": "simple",
        #     "filename": "info.log",
        #     "maxBytes": 10485760,
        #     "backupCount": 20,
        #     "encoding": "utf8"
        # },
        #
        # "error_file_handler": {
        #     "class": "logging.handlers.RotatingFileHandler",
        #     "level": "ERROR",
        #     "formatter": "simple",
        #     "filename": "errors.log",
        #     "maxBytes": 10485760,
        #     "backupCount": 20,
        #     "encoding": "utf8"
        # }
    },

    # "loggers": {
    #     "shs-dl": {
    #         "level": "ERROR",
    #         "handlers": ["console"],
    #         "propagate": "no"
    #     }
    # },

    "root": {
        "level": "DEBUG",
        # "handlers": ["console", "info_file_handler", "error_file_handler"]
        "handlers": ["console"]
    }
}


def setup_logging(level="WARNING"):
    """Setup logging configuration
    """
    LOG_CONFIG["root"]["level"] = level
    logging.config.dictConfig(LOG_CONFIG)
